summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-04-28 12:50:47 +0200
committerMichael Vogt <mvo@debian.org>2014-04-28 12:50:47 +0200
commit77efe478cc59fe205c35036bae8c0d5e0e6913d7 (patch)
tree292ddf183b3f38c299bd6614fbd48585aa6d00b2 /test
parent814e1b8d623cb1e6b03c79fcdab6b20754c57038 (diff)
parent038e721ad2557fd517eae4b102cd36080f4ee6e3 (diff)
Merge branch 'debian/sid' into ubuntu/master
Conflicts: po/vi.po
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-ubuntu-bug-365611-long-package-names6
1 files changed, 5 insertions, 1 deletions
diff --git a/test/integration/test-ubuntu-bug-365611-long-package-names b/test/integration/test-ubuntu-bug-365611-long-package-names
index 894c8dc97..f22986e21 100755
--- a/test/integration/test-ubuntu-bug-365611-long-package-names
+++ b/test/integration/test-ubuntu-bug-365611-long-package-names
@@ -4,8 +4,12 @@ set -e
TESTDIR=$(readlink -f $(dirname $0))
. $TESTDIR/framework
setupenvironment
-configarchitecture "i386"
+configarchitecture 'i386'
setupaptarchive
aptget install $(for i in $(seq 0 1000); do echo -n 'a'; done) 2> longpackagename.log > /dev/null || true
testfileequal 'longpackagename.log' "E: Unable to locate package $(for i in $(seq 0 1000); do echo -n 'a'; done)"
+
+# … and the opposite of long:
+aptget install "" -s >longpackagename.log 2>&1 || true
+testfileequal 'longpackagename.log' "$(aptget install -s)"